<?php
require("../connection/dbconn.php");

/** Ha létezik az email cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['admin_email'])) 
{
  $admin_email = $_COOKIE['admin_email'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $admin_email = "";
}

/** Ha létezik a jelszó cookie, akkor az értékét egy változóban elmentjük */
if (isset($_COOKIE['admin_jelszo'])) 
{
  $admin_jelszo = $_COOKIE['admin_jelszo'];
}
/** Különben egy üres stringet adunk a változónak */
else 
{
  $admin_jelszo = "";
}

/** Ha az email és a jelszó változók nem üresek, 
  * akkor adatbázisból lekérdezzük az email-jelszó pároshoz tartozó sort, 
  * és az id mezot elmentjük egy változóban. 
  */
if ($admin_email!="" AND $admin_jelszo!="") 
{
  $parancs = "SELECT * from adminok WHERE email='$admin_email' AND password='$admin_jelszo'";
  $eredmeny = mysql_query($parancs);
 
  if (mysql_num_rows($eredmeny) > 0) 
  {
    $sor = mysql_fetch_array($eredmeny);
    $id = $sor["id"];
	
	/** Az id alapján megkeressük az ügyfél táblában az aktuális felhasználót 
	  * és a hozzá tartozó session-t üresre állítjuk, valamint az érvényességi idejét is lenullázzuk.
	  */
    $sql = "UPDATE adminok SET session_id='', ervenyes='0000-00-00 00:00:00' WHERE id=$id";
    mysql_query($sql);
  }
}

/** Az email és a jelszó cookie-k törlése. */
setcookie("admin_email","",1);
setcookie("admin_jelszo","",1);

/** A kód lefutása után visszajutunk a kezdooldalra. */
header("Location: index.php");

mysql_close($connect);
?>
